# Namespace: tilegrid

## olx.tilegrid

### Type Definitions

#### olx.tilegrid.TileGridOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `minZoom` | number | undefined | <optional> | Minimum zoom.
  `origin` | ol.Coordinate | undefined | <optional> | Origin.
  `origins` | Array.<ol.Coordinate> | undefined | <optional> | Origins.
  `resolutions` | Array.<number> |  | Resolutions.
  `tileSize` | number | undefined | <optional> | Tile size.
  `tileSizes` | Array.<number> | undefined | <optional> | Tile sizes.

#### olx.tilegrid.WMTSOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `origin` | ol.Coordinate | undefined | <optional> | Origin.
  `origins` | Array.<ol.Coordinate> | undefined | <optional> | Origins.
  `resolutions` | Array.<number> |  | Resolutions.
  `matrixIds` | Array.<string> |  | matrix IDs.
  `tileSize` | number | undefined | <optional> | Tile size.
  `tileSizes` | Array.<number> | undefined | <optional> | Tile sizes.

#### olx.tilegrid.XYZOptions{Object} experimental

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `maxZoom` | number | Maximum zoom.

#### olx.tilegrid.ZoomifyOptions{Object} experimental

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `resolutions` | Array.<number> | Resolutions.